<script>
	import { createEventDispatcher } from "svelte";

    export let text;
    let email;
    let password;

    let dispach =createEventDispatcher();

    let click = ()=>{
        dispach('forma',{email,password})
    }

</script>

<div class="mx-4">
    <input class="rounded-md block p-3 mb-2 w-full border-2 border-blue-600" bind:value={email} placeholder="Email">
    <input class="rounded-md block p-3 mb-2 w-full border-2 border-blue-600" type="password" bind:value={password} placeholder="Password">
    <button class="rounded-md bg-blue-800 hover:bg-blue-900 text-white p-3 w-full" on:click={click}>{text}</button>
    <slot/>
</div>